# Accounts Verify Registration Create POST /api/v1/iam/accounts/verify-registration/ Content-Type: application/json Verify registration via signature. Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/iam/accounts-verify-registration-create ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v1/iam/accounts/verify-registration/: post: operationId: accounts-verify-registration-create summary: Accounts Verify Registration Create description: Verify registration via signature. tags: - subpackage_iam responses: '200': description: '' content: application/json: schema: $ref: '#/components/schemas/VerifyRegistration' requestBody: content: application/json: schema: $ref: '#/components/schemas/VerifyRegistration' components: schemas: VerifyRegistration: type: object properties: user_id: type: string timestamp: type: integer signature: type: string required: - user_id - timestamp - signature title: VerifyRegistration ``` ## SDK Code Examples ```python import requests url = "https://api.example.com/api/v1/iam/accounts/verify-registration/" payload = { "user_id": "user_987654321", "timestamp": 1712345678, "signature": "3045022100dff9e8a1b2c3d4e5f67890123456789abcdef0123456789abcdef012345678902203456789abcdef0123456789abcdef0123456789abcdef0123456789abcdef0123456" } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v1/iam/accounts/verify-registration/'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"user_id":"user_987654321","timestamp":1712345678,"signature":"3045022100dff9e8a1b2c3d4e5f67890123456789abcdef0123456789abcdef012345678902203456789abcdef0123456789abcdef0123456789abcdef0123456789abcdef0123456"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/iam/accounts/verify-registration/" payload := strings.NewReader("{\n \"user_id\": \"user_987654321\",\n \"timestamp\": 1712345678,\n \"signature\": \"3045022100dff9e8a1b2c3d4e5f67890123456789abcdef0123456789abcdef012345678902203456789abcdef0123456789abcdef0123456789abcdef0123456789abcdef0123456\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/iam/accounts/verify-registration/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"user_id\": \"user_987654321\",\n \"timestamp\": 1712345678,\n \"signature\": \"3045022100dff9e8a1b2c3d4e5f67890123456789abcdef0123456789abcdef012345678902203456789abcdef0123456789abcdef0123456789abcdef0123456789abcdef0123456\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.example.com/api/v1/iam/accounts/verify-registration/") .header("Content-Type", "application/json") .body("{\n \"user_id\": \"user_987654321\",\n \"timestamp\": 1712345678,\n \"signature\": \"3045022100dff9e8a1b2c3d4e5f67890123456789abcdef0123456789abcdef012345678902203456789abcdef0123456789abcdef0123456789abcdef0123456789abcdef0123456\"\n}") .asString(); ``` ```php request('POST', 'https://api.example.com/api/v1/iam/accounts/verify-registration/', [ 'body' => '{ "user_id": "user_987654321", "timestamp": 1712345678, "signature": "3045022100dff9e8a1b2c3d4e5f67890123456789abcdef0123456789abcdef012345678902203456789abcdef0123456789abcdef0123456789abcdef0123456789abcdef0123456" }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v1/iam/accounts/verify-registration/"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"user_id\": \"user_987654321\",\n \"timestamp\": 1712345678,\n \"signature\": \"3045022100dff9e8a1b2c3d4e5f67890123456789abcdef0123456789abcdef012345678902203456789abcdef0123456789abcdef0123456789abcdef0123456789abcdef0123456\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [ "user_id": "user_987654321", "timestamp": 1712345678, "signature": "3045022100dff9e8a1b2c3d4e5f67890123456789abcdef0123456789abcdef012345678902203456789abcdef0123456789abcdef0123456789abcdef0123456789abcdef0123456" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/iam/accounts/verify-registration/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```